﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Statistics;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(0);

            int pointCount = 500;

            double[] xValueArray = DataGen.Consecutive(pointCount);
            double[] yValueArray = DataGen.Random(random, pointCount);

            int n = 200;

            double nthValue = Common.NthOrderStatistic(yValueArray, n);

            plot.Title($"{pointCount}개 중에서 {n}번째로 작은 값");

            plot.AddScatter(xValueArray, yValueArray, lineWidth : 0, markerShape : MarkerShape.openCircle);

            plot.AddHorizontalLine(nthValue, width : 3, style : LineStyle.Dash);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}